<?php
/*
Plugin Name: ImageMagick GPS
Version: 1.3
Description: Uses ImageMagick to read exif GPS data. (Plugin based on Exiftool GPS 0.7a and read_metadata)
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=858
Author: ZeBe
Author URI: http://piwigo.org/forum/profile.php?id=23420
 */

if (!defined('PHPWG_ROOT_PATH'))
{
	die('Hacking attempt!');
}

if (basename(dirname(__FILE__)) != 'ImageMagick_GPS')
{
	add_event_handler('init', 'ImageMagickGPS_error');
	function ImageMagickGPS_error()
	{
		global $page;
		$page['errors'][] = 'ImageMagick GPS folder name is incorrect, uninstall the plugin and rename it to "ImageMagick_GPS"';
	}
	return;
}

// +-----------------------------------------------------------------------+
// | Define plugin constants                                               |
// +-----------------------------------------------------------------------+
//global $prefixeTable;

define('IMAGEMAGICKGPS_ID', basename(dirname(__FILE__)));
define('IMAGEMAGICKGPS_PATH', PHPWG_PLUGINS_PATH.IMAGEMAGICKGPS_ID.'/');
//define('IMAGEMAGICKGPS_TABLE',   $prefixeTable . 'ImageMagick_GPS');
define('IMAGEMAGICKGPS_ADMIN', get_root_url().'admin.php?page=plugin-'.IMAGEMAGICKGPS_ID);
define('IMAGEMAGICKGPS_PUBLIC', get_absolute_root_url().make_index_url(array('section' => 'ImageMagick_GPS')).'/');
define('IMAGEMAGICKGPS_DIR', PHPWG_ROOT_PATH.PWG_LOCAL_DIR.'ImageMagick_GPS/');

include_once('include/imagemagickgps.class.inc.php');

// +-----------------------------------------------------------------------+
// | Add event handlers                                                    |
// +-----------------------------------------------------------------------+

// init the plugin
add_event_handler('init', array('ImageMagickGPS', 'on_init'));

// 
add_event_handler('format_exif_data', array('ImageMagickGPS', 'on_format_exif_data'), EVENT_HANDLER_PRIORITY_NEUTRAL-10);

/*
 * this is the common way to define event functions: create a new function for each event you want to handle
 */
if (defined('IN_ADMIN'))
{
	// file containing all admin handlers functions
	$admin_file = IMAGEMAGICKGPS_PATH.'include/admin.class.inc.php';

	// admin plugins menu link
	add_event_handler('get_admin_plugin_menu_links', array('ImageMagickGPS_Admin', 'on_get_admin_plugin_menu_links'),
		EVENT_HANDLER_PRIORITY_NEUTRAL, $admin_file);
}
?>
